org.eclipse.jgit.lib

## Interface AsyncOperation

All Known Subinterfaces:
  AsyncObjectLoaderQueue<T>, AsyncObjectSizeQueue<T>, AsyncRevObjectQueue

    public interface AsyncOperation

Asynchronous operation handle. Callers that start an asynchronous operation are supplied with a handle that may be used to attempt cancellation of the operation if the caller does not wish to continue.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `cancel(boolean mayInterruptIfRunning)` Cancels the running task.
`void` `release()` Release resources used by the operation, including cancellation.

### Method Detail

#### cancel

    boolean cancel(boolean mayInterruptIfRunning)

Cancels the running task. Attempts to cancel execution of this task. This attempt will fail if the task has already completed, already been cancelled, or could not be cancelled for some other reason. If successful, and this task has not started when cancel is called, this task should never run. If the task has already started, then the mayInterruptIfRunning parameter determines whether the thread executing this task should be interrupted in an attempt to stop the task.

Parameters:
  `mayInterruptIfRunning` - true if the thread executing this task should be interrupted; otherwise, in-progress tasks are allowed to complete
Returns:
  false if the task could not be cancelled, typically because it has already completed normally; true otherwise

#### release

    void release()

Release resources used by the operation, including cancellation.